Skip to Content

Introduction:

 

This blog will help you to check and install/upgrade the required softwares  and to register/ create Apple Id to move further on  SAP Fiori for iOS SDK.

Unlike, SAP Fiori apps that can be developed/extended using web IDE or local IDE like Eclipse, SAP Fiori for iOS apps needs to be developed using xcode IDE(8.3 & above version) available in mac os.

Below mentioned are the pre-requisites for the same:

 

                                       1) Need  a mac machine.

For iPhone/ipad apps development, you require Mac Computers.

Same is applicable for SAP Fiori for iOS apps/SDK as well.

Further information on mac is available in the link:

https://www.apple.com/in/mac/

 Check your compatibility

First and foremost, make sure your Mac is compatible with macOS Sierra(10.12). In general, most Macs from 2010 or newer are compatible. Here’s a list of Macs that can run macOS Sierra:

  • Mac Pro (mid 2010 or newer)
  • iMac (late 2009 or newer)
  • Mac mini (mid 2010 or newer)
  • MacBook Pro (mid 2010 or newer)
  • MacBook (late 2009 or newer)
  • MacBook Air (late 2010 or newer)

                                          2)  Create an Apple-Id:

To access/install any product of Apple you need to have an Apple ID.

The free Apple Id can give access to download required softwares needed for SAP Fiori for iOS.

Below link can be used to create an apple-Id

https://appleid.apple.com/#!&page=signin

You can create your Apple ID when you sign in to iTunes or iCloud for the first time.

You can also go to the Apple ID site and select Create Your Apple ID.

Here’s what you need:

  • A valid email address to use as your Apple ID username.
  • A strong Password
  • Your date of birth.
  • Three security questions to verify your identity and a rescue email address.
  • You can also use this information to reset your password.

 

                              3)  Download/upgrade to mac os 10.12/sierra

 

To start working with SAP Fiori for iOS xcode 8.3 & higher version is required which is supported in MAC OS Sierra.

This blog contains steps to upgrade/update/download & install MAC OS sierra.

Based on your requirement please follow the steps relevant to your need.

Upgrade to Mac OS Sierra:

This upgarde only Works on mas os 10.7.5

Please update/install your mac os to 10.7.5 before upgrading to Sierra.

  • Open the App Store.

 

  • Find the page in the App Store for the latest version of OS X. This will usually appear at the very top of the “Featured” tab if you aren’t currently running that version.

  • Click the “Free Upgrade” button to begin downloading the upgrade.

  • Run the “Install OS X Name” program in your Applications directory.

  • Follow the prompts to install the upgrade.You’ll be taken through a few screens before installation begins, such as the terms and conditions. Most users can simply proceed through these screens without changing any information.

 

Install an update to MacOS

 

If you have already installed macOS Sierra and just want to install the latest update to that software you will find it under the Mac App Store updates tab.

  • Open the Mac App Store

 

  • Click on Updates
  • Click Update besides any updates(Sierra) you wish to install

 

  • If the software has not yet been downloaded (you can set it to do this automatically)it will download in the background
  • Once the software has been downloaded you will see a notification to let you know it is ready to be installed
  • Your Mac may notify you that it will restart before installing the update, if the timing is bad you can choose to postpone the update for an hour, or until later
  • When you are ready to proceed, click Update again and wait while your Mac restarts and installs the update

 

  • You Mac might shutdown and the installation will commence – beware this can take a while and there is no warning until it actually starts, a recent update was set to take 24 minutes, but panic not – it was probably closer to 10 minutes.
  • Once the installation has finished your Mac will restart.
How to set up (or disable) automatic downloads on a Mac

You can set your Mac up so that it automatically downloads updates to the operating system.

  • Open System Preferences

 

  • Click on App Store

 

  • Select Install macOS updates

                                 4) Install XCode 8.3 or higher version.

  • Swift 3.0 is coming up with Xcode 8/xcode 9
  • Link to download xcode:

https://developer.apple.com/xcode/

 

  • Click on the download button to start downloading xcode.
  • Please provide your Apple Id credentials as per below screenshot:

  • Once the .dmg file gets uploaded, it should automatically mount the disk image and open a window in your Finder that looks like this:

  • Double-click on the “Xcode” package installer. Once the installer launches, make sure all the checkboxes are checked, as shown in the screenshot below:

                              5)  Download the SAP Cloud Platform SDK for iOS using below link.

https://www.sap.com/india/developer/topics/cloud-platform-sdk-for-ios.html

Click on the free download button.

  • Click on the Trial version and provide your details.
  • The SDK download link will be sent to your mail ID.
  • Open the link provided in the email.

  • Click on Xcode 9 beta 3 version if you have xcode-9.3 else go for other  version.

     

                                     6) Register in SAP Cloud Platform.

Use the below link to create an account in SAP Cloud Platform.

https://account.hanatrial.ondemand.com/

To report this post you need to login first.

1 Comment

You must be Logged on to comment or reply to a post.

Leave a Reply